Skip to main content
Circuit REST endpoints are grouped by resource: /v1/{resource}/{operation}. Wallet endpoints live under /v1/wallets/.

List User Wallets

Get all wallets associated with the authenticated user. Endpoint: GET /v1/wallets/list Request
HeaderDescription
Authorization: Bearer {token}User’s API auth token acquired from authentication
Query ParameterDescription
cacheOptional boolean. When supported, allows cached wallet data.
cURL Example
curl -X GET "https://api.circuit.org/v1/wallets/list" \
  -H "Authorization: Bearer api_auth_token"
Response
Array<{
  id: number;
  name: string;
  type: string;
  address: string;
  createdAt: string;
  totalUsd: string;
  networks: string[];
  balances: Array<{
    network: string;
    type: "ERC20" | "SPL" | "native" | "ERC1155";
    address: string;
    tokenId: string | null;
    imageUrl: string | null;
    entryPriceUsd?: string;
    leverage?: string;
    priceUsd: string;
    name: string;
    symbol: string;
    decimals: number;
    amount: string;
    totalUsd: string;
  }>;
  agents: Array<{
    id: number;
    name: string;
    imageUrl: string | null;
    isHyperliquidAgent: boolean;
  }>;
}>
Empty wallets return [].